org.apache.tinkerpop.gremlin.driver.ser

## Class GraphSONMessageSerializerV1d0

- java.lang.Object
- - org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer<ObjectMapper>
  - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0
    - - org.apache.tinkerpop.gremlin.driver.ser.GraphSONMessageSerializerV1d0

- All Implemented Interfaces:
    MessageSerializer<ObjectMapper>, MessageTextSerializer<ObjectMapper>

      public final class GraphSONMessageSerializerV1d0
      extends AbstractGraphSONMessageSerializerV1d0
      implements MessageTextSerializer<ObjectMapper>

  Serialize results to JSON with version 1.0.x schema.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `AbstractGraphSONMessageSerializerV1d0.GremlinServerModule, AbstractGraphSONMessageSerializerV1d0.JsonBuilderJacksonSerializer, AbstractGraphSONMessageSerializerV1d0.ResponseMessageSerializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `mapper, mapTypeReference`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `TOKEN_IO_REGISTRIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphSONMessageSerializerV1d0()`
    `GraphSONMessageSerializerV1d0(GraphSONMapper mapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestMessage` | `deserializeRequest(String msg)` Deserialize a Netty `ByteBuf` into a `RequestMessage`.
    `ResponseMessage` | `deserializeResponse(String msg)` Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
    `String[]` | `mimeTypesSupported()` The list of mime types that the serializer supports.
    `String` | `serializeRequestAsString(RequestMessage requestMessage)`
    `String` | `serializeResponseAsString(ResponseMessage responseMessage)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0

      `configure, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.driver.ser.AbstractMessageSerializer

      `addIoRegistries, getListStringFromConfig, tryInstanceMethod`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.MessageSerializer

      `configure, getMapper, serializeRequestAsBinary, serializeResponseAsBinary`

- - ### Constructor Detail

    - #### GraphSONMessageSerializerV1d0

          public GraphSONMessageSerializerV1d0()

    - #### GraphSONMessageSerializerV1d0

          public GraphSONMessageSerializerV1d0(GraphSONMapper mapper)

  - ### Method Detail

    - #### mimeTypesSupported

          public String[] mimeTypesSupported()

      Description copied from interface: `MessageSerializer`
      The list of mime types that the serializer supports.
      Specified by:
        `mimeTypesSupported` in interface `MessageSerializer<ObjectMapper>`

    - #### deserializeResponse

          public ResponseMessage deserializeResponse(String msg)
                                              throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `ResponseMessage`.
      Specified by:
        `deserializeResponse` in interface `MessageSerializer<ObjectMapper>`
      Specified by:
        `deserializeResponse` in interface `MessageTextSerializer<ObjectMapper>`
      Overrides:
        `deserializeResponse` in class `AbstractGraphSONMessageSerializerV1d0`
      Throws:
        `SerializationException`

    - #### serializeResponseAsString

          public String serializeResponseAsString(ResponseMessage responseMessage)
                                           throws SerializationException

      Specified by:
        `serializeResponseAsString` in interface `MessageTextSerializer<ObjectMapper>`
      Throws:
        `SerializationException`

    - #### deserializeRequest

          public RequestMessage deserializeRequest(String msg)
                                            throws SerializationException

      Description copied from interface: `MessageSerializer`
      Deserialize a Netty `ByteBuf` into a `RequestMessage`.
      Specified by:
        `deserializeRequest` in interface `MessageSerializer<ObjectMapper>`
      Specified by:
        `deserializeRequest` in interface `MessageTextSerializer<ObjectMapper>`
      Overrides:
        `deserializeRequest` in class `AbstractGraphSONMessageSerializerV1d0`
      Throws:
        `SerializationException`

    - #### serializeRequestAsString

          public String serializeRequestAsString(RequestMessage requestMessage)
                                          throws SerializationException

      Specified by:
        `serializeRequestAsString` in interface `MessageTextSerializer<ObjectMapper>`
      Throws:
        `SerializationException`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.